From a83179ba89657234db1b0032c58cf3c82779c0b8 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Wed, 29 Apr 2020 10:12:03 +0800
Subject: [PATCH 54/77] virsh_migrate: remove duplicate reset hugepages

It's duplicate to reset src/dest hugepages when numa_pin enable, then
it will cause a 'insufficient free memory to start vm' error. This patch
fix that.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 .../src/virsh_cmd/domain/virsh_migrate.py      | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index 0dd6441b..8f2ef954 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -253,16 +253,16 @@ def run(test, params, env):
                         user=server_user, password=server_pwd)
         logging.debug("Remote host hugepage config done")
         if numa_pin:
+            # reset source host hugepages
+            if int(utils_memory.get_num_huge_pages() > 0):
+                logging.debug("reset source host hugepages")
+                hugepage_assign("0")
+            # reset dest host hugepages
+            if (int(dest_HP_free) > 0):
+                logging.debug("reset dest host hugepages")
+                hugepage_assign("0", target_ip=dest_machine,
+                                user=server_user, password=server_pwd)
             for each_node in node_list:
-                # reset source host hugepages
-                if int(utils_memory.get_num_huge_pages() > 0):
-                    logging.debug("reset source host hugepages")
-                    hugepage_assign("0")
-                # reset dest host hugepages
-                if (int(dest_HP_free) > 0):
-                    logging.debug("reset dest host hugepages")
-                    hugepage_assign("0", target_ip=dest_machine,
-                                    user=server_user, password=server_pwd)
                 # set source host hugepages for the specific node
                 logging.debug("set src host hugepages for specific node")
                 hugepage_assign(str(no_of_HPs), node=each_node['nodeset'],
-- 
2.23.0

